--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 20/x14
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              30-JUN-20   Generis           20.7
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 20/x14
PROMPT
PROMPT Version 20.7
PROMPT
--
PROMPT
PROMPT Apply amend KAL as SHIP (and GAO) (MDD 20/x14)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''YU Energy Holding Limited'',
                              LAST_UPDATE_USER_ID = ''MDD_20_x14'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''KAL''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''YU Energy Holding Limited (KAL as GAO)'',
                              LAST_UPDATE_USER_ID = ''MDD_20_x14'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''KAL''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''YU Energy Holding Limited (KAL as SHIP)'',
                              LAST_UPDATE_USER_ID = ''MDD_20_x14'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''KAL''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
